giraph-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Avery Ching (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GIRAPH-798) Upgrade Giraph to Java7 and fix all dependencies
Date Wed, 11 Dec 2013 23:43:07 GMT

    [ https://issues.apache.org/jira/browse/GIRAPH-798?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13845851#comment-13845851
] 

Avery Ching commented on GIRAPH-798:
------------------------------------

I have fixed this issue in https://issues.apache.org/jira/browse/GIRAPH-815, please take a
look someone.

> Upgrade Giraph to Java7 and fix all dependencies
> ------------------------------------------------
>
>                 Key: GIRAPH-798
>                 URL: https://issues.apache.org/jira/browse/GIRAPH-798
>             Project: Giraph
>          Issue Type: Improvement
>            Reporter: Avery Ching
>            Assignee: Avery Ching
>         Attachments: GIRAPH-YARN-COMPILE.patch, GIRAPH-ZOOKEEPER34.patch
>
>
> We need to upgrade to Java 7, Java 6 is no longer supported and Java 7 provides a lot
of great new features.
> Additionally, we have a mess of dependencies.
> Incompatible versions, unspecified dependencies, and duplicate classes.  We will add
checks for all of them.
> For now, full checks are provided for the profiles
> hadoop_0.20.203
> hadoop_1.0
> hadoop_facebook
> Also, the hcatalog module is not fully fixed and excluded from the checking.  We can
fix this in the future.



--
This message was sent by Atlassian JIRA
(v6.1.4#6159)

Mime
View raw message